Subject: Re: bug#13594: 24.2.92; [PATCH] compilation-start doesn't consider nil OUTWIN

From: Leo Liu <[email-masked]>
Date: Wed, 20 Mar 2013 12:37:26 +0800

On 2013-03-20 11:12 +0800, Stefan Monnier wrote:
> It only does one half: change a few callers to handle a non-window
> return value.  But the other half is important: the non-window return
> value should only be possible if the caller announces that it's ready to
> handle it.

So add to display-buffer an optional arg like the following?

(display-buffer BUFFER-OR-NAME &optional ACTION FRAME HANDLE-NONWINDOW)

display-buffer currently does not checking; it just passes back the
non-nil value to the caller. WDYT?

Leo